<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

if($_GET['producto']) $esperarCarga=true;

$gestion=$_SESSION['gestion'];
$busquedaProductoDefecto=$_SESSION['busquedaProductoDefecto'];
$clientePropietario=$_GET['clientePropietario'];
//////////
//$gestion='PUBPRI';
//$busquedaProductoDefecto='E';
///////////

if($_GET['traza']=='si') {
	echo "<p>Gestión: ".$gestion."</p>";
	echo "<p>Busqueda producto por defecto: ".$busquedaProductoDefecto."</p>";
}

?>
<?php include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); ?>
<?php include($rutaPhp.$rutaHtml.'/librerias/calculadora.php'); ?>
<h2>Buscar Producto</h2>

<div id="popupBusqueda" class="popup" style="display:none;overflow:scroll">
	<div class="popupContenidoScroll">
    	<div id="detalleBusqueda"></div>
    </div>
</div>

<div id="popupBusquedaCliente" class="popup" style="display:none;overflow:scroll">
    <div class="popupContenidoScroll">
    	<div id="detalleBusquedaCliente"></div>
	</div>
</div>

<?php if( $gestion=='PUBPRI' ) { ?>
<p><input name="productos" type="radio" class="checkGrande" id="productosPropios" style="position:relative;top:6px" value="propios" <?php if(!$clientePropietario) { ?>checked="checked"<?php } ?>/>
 Productos propios <input type="radio" name="productos" id="productosTerceros" value="terceros" class="checkGrande" style="position:relative;top:6px;margin-left:20px;" <?php if($clientePropietario) { ?>checked="checked"<?php } ?>/> Productos de terceros</p>
<?php } ?>

<?php if( $gestion=='PUB' || $gestion=='PUBPRI' ) { ?>
<form id="formularioCliente" name="formularioCliente" method="post" action="" <?php if( $gestion=='PUBPRI' && !$clientePropietario) { ?>style="display:none"<?php } ?>>
	<p>Código Cliente:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCliente" />
    <input type="text" name="cliente" id="cliente" value="<?php echo $clientePropietario; ?>" class="campo" style="width:350px"/>
    <img id="botonBuscarCliente" src="<?php echo DIR_IMAGENES; ?>/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCliente" style="margin-left:-110px;"/></p>
    <h2 id="nombreCliente" style="display:none;"></h2>
</form>
<form id="formularioBusquedaCliente" name="formularioBusquedaCliente" method="post" action="" style="display:none">
	<p>Buscar Cliente:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoBusquedaCliente" />
    <input name="busquedaCliente" type="text" class="campo mayusculas" id="busquedaCliente" size="20" maxlength="" style="width:350px"/>
	<img id="botonCodigoCliente" src="<?php echo DIR_IMAGENES; ?>/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarBusquedaCliente" style="margin-left:-110px;"/>
	</p>
</form>
<?php } ?>

<form id="formularioCodigo" name="formularioCodigo" method="post" action="" <?php if($_GET['producto'] || $busquedaProductoDefecto=='B') { ?>style="display:none"<?php } ?>>
	<p>Código EAN/DUN:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCodigo" /><input name="codigo" type="text" class="campo mayusculas" id="codigo" size="14" maxlength="14" style="width:350px"/>
    <img id="botonBuscar" src="<?php echo DIR_IMAGENES; ?>/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCodigo" style="margin-left:-110px;"/></p>
</form>

<form id="formularioBusqueda" name="formularioBusqueda" method="post" action="" <?php if(!$_GET['producto'] && $busquedaProductoDefecto=='E') { ?>style="display:none"<?php } ?>>
	<p>Buscar Producto:<br />
    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoBusqueda" />
    <input name="busqueda" type="text" class="campo mayusculas" id="busqueda" size="20" maxlength="" value="<?php if($_GET['producto']) echo $_GET['producto']; else echo $_POST['busqueda']; ?>" style="width:350px"/>
    <img id="botonCodigo" src="<?php echo DIR_IMAGENES; ?>/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarBusqueda" style="margin-left:-110px;"/>
    </p>
</form>

<div id="listaUbicaciones">
</div>

<script>

function carga( codigoProducto ) {

	$('#popupCargando').show();
	
	if($('#productosPropios').is(':checked')) clientePropietario='PROPIO';
	else clientePropietario=$('#cliente').val();
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-ubicaciones-producto-U.php?traza=<?php echo $_GET['traza']; ?>", { producto: codigoProducto , 'clientePropietario' : clientePropietario })
		.done(function(data) {
			$('#popupCargando').hide();
			$('#listaUbicaciones').html(data);
	});

}

function reinicia(todoIncluidoCliente) {
	
		//Reiniciar todos los campos de la ficha
		
		<?php if( $gestion=='PUB' || $gestion=='PUBPRI' ) { ?>
		if(todoIncluidoCliente) {
			$('#cliente').val('');
			$('#busquedaCliente').val('');
			$('#nombreCliente').html('');
			$('#nombreCliente').hide();
		}
		<?php } ?>
		
		$('#codigo').val('');
		$('#producto').val('');
		$('#busqueda').val('');
		
		$("#listaUbicaciones").empty();
		
	}

$(document).ready(function() {

	$("#codigo").focus();

	<?php if($clientePropietario) { ?>
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-cliente-propietario.php", { 'codigo' : '<?php echo $clientePropietario; ?>' } )
			.done(function(data) {
				var datos=data.split('#');
				$('#nombreCliente').html( datos[1] );
				$('#nombreCliente').show();
			});
	<?php } ?>

	<?php if($_GET['producto']) { ?> carga('<?php echo $_GET['producto']; ?>'); <?php } ?>

	$('#tecladoCodigo').on("click",function(){
			
		$('#teclado').show();
		$('#valor').val( $('#codigo').val() );
		$('#valorOculto').val( $('#codigo').val() );
		$('#enter').attr('campoValor','codigo');
		$('#enter').attr('formulario','formularioCodigo');
				
	});
			
	$('#borrarCodigo').on("click",function(){
			
		$("#codigo").val('');
		reinicia();
		$("#codigo").focus();
				
	});
	
	$('#tecladoBusqueda').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busqueda').val() );
		$('#valorOculto').val( $('#busqueda').val() );
		$('#enter').attr('campoValor','busqueda');
		$('#enter').attr('formulario','formularioBusqueda');
		
	});
			
	$('#busqueda').on("click",function(){
				
		$('#teclado').show();
		$('#valor').val( $('#busqueda').val() );
		$('#valorOculto').val( $('#busqueda').val() );
		$('#enter').attr('campoValor','busqueda');
		$('#enter').attr('formulario','formularioBusqueda');
				
	});
			
	$('#borrarBusqueda').on("click",function(){
			
		$("#busqueda").val('');
		$("#busqueda").focus();
				
	});
			
	$('#formularioCodigo').on("submit",function(e){
				
		e.preventDefault();
				
		if( $('#codigo').val()!='' ) {
					
			$('#popupCargando').show();
					
			$.post( "<?php echo $rutaHtml; ?>/contenidos/leer-codigo-barras.php", { 'codigo' : $('#codigo').val()  })
			.done(function(data) {
						
				var datos=data.split('#');
						
				if( datos[0] ) {
						carga(datos[0]);
				}
				else {
					alert("ERROR: No se ha encontrado ningún producto relacionado con ese código.");
				}
						
				$('#popupCargando').hide();
		
			});
		}
				
	});
			
	$('#formularioBusqueda').on("submit",function(e){
			
		e.preventDefault();
		
		if( $('#busqueda').val()!='' ) {
			
			$('#popupCargando').show();
			
			var clientePropietario;
			
			if($('#productosPropios').is(':checked')) clientePropietario='PROPIO';
			else clientePropietario=$('#cliente').val();
						
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-producto.php?traza=<?php echo $_GET['traza']; ?>", { 'cadena' : $('#busqueda').val() , 'clientePropietario' : clientePropietario })
			.done(function(data) {
			
				$('#popupCargando').hide();
				$('#popupBusqueda').show();
				$('#detalleBusqueda').html(data);
			
			});
			
		}
				
	});
			
	$('#botonBuscar').on("click",function(){
		
		reinicia();
		$('#formularioCodigo').hide();
		$('#formularioBusqueda').show();
		$('#busqueda').focus();
		$('#tecladoBusqueda').click();
				
	});
			
	$('#botonCodigo').on("click",function(){
			
		$('#formularioCodigo').show();
		$('#codigo').focus();
		$('#formularioBusqueda').hide();
				
	});
	
	$('#popupBusqueda').on("click",function(){
		$('#popupBusqueda').hide();
	});



	<?php if( $gestion=='PUBPRI' ) { ?>
	
	$('#productosPropios').on("click",function(){
		
		reinicia(true);
		
		if($('#productosPropios').is(':checked')) {
			$('#formularioCliente').hide();
			<?php if($busquedaProductoDefecto=='E') { ?>
				$('#formularioCodigo').show();
				$('#formularioBusqueda').hide();
				$('#codigo').focus();
			<?php } else { ?>
				$('#formularioCodigo').hide();
				$('#formularioBusqueda').show();
				$('#busqueda').focus();
			<?php } ?>
		}
		else {
			$('#formularioCliente').show();
			$('#cliente').focus();
		}
	});
	
	$('#productosTerceros').on("click",function(){
	
		reinicia(true);
		
		if($('#productosTerceros').is(':checked')) {
			$('#formularioCliente').show();
			$('#cliente').focus();
		}
		else {
			$('#formularioCliente').hide();
			<?php if($busquedaProductoDefecto=='E') { ?>
				$('#formularioCodigo').show();
				$('#formularioBusqueda').hide();
				$('#codigo').focus();
			<?php } else { ?>
				$('#formularioCodigo').hide();
				$('#formularioBusqueda').show();
				$('#busqueda').focus();
			<?php } ?>
		}
	});
	
	<?php } ?>
	
	
	
	<?php if( $gestion=='PUB' || $gestion=='PUBPRI' ) { ?>
	
	$('#botonBuscarCliente').on("click",function(){
			
		reinicia(true);
		$('#formularioCliente').hide();
		$('#formularioBusquedaCliente').show();
		$('#busquedaCliente').focus();
		$('#tecladoBusquedaCliente').click();
					
	});
	
	$('#botonCodigoCliente').on("click",function(){
			
		reinicia(true);	
		$('#formularioCliente').show();
		$('#formularioBusquedaCliente').hide();
		$('#cliente').focus();
					
	});
	
	$('#tecladoCliente').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#cliente').val() );
		$('#valorOculto').val( $('#cliente').val() );
		$('#enter').attr('campoValor','cliente');
		$('#enter').attr('formulario','formularioCliente');
		
	});
	
	$('#borrarCliente').on("click",function(){
		
		$("#cliente").val('');
		$("#cliente").focus();
		
	});
	
	$('#formularioCliente').on("submit",function(e){
		
		e.preventDefault();
		reinicia();
		
		if( $('#cliente').val()!='' ) {
				
			$('#popupCargando').show();
						
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-cliente.php?traza=<?php echo $_GET['traza']; ?>", { 'cadena' : $('#cliente').val() , 'busquedaProductoDefecto' : '<?php echo $busquedaProductoDefecto; ?>' })
			.done(function(data) {
				
				$('#popupCargando').hide();
				$('#popupBusquedaCliente').show();
				$('#detalleBusquedaCliente').html(data);
				
			});
				
		}
					
	});
	
	$('#tecladoBusquedaCliente').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaCliente').val() );
		$('#valorOculto').val( $('#busquedaCliente').val() );
		$('#enter').attr('campoValor','busquedaCliente');
		$('#enter').attr('formulario','formularioBusquedaCliente');
		
	});
	
	$('#busquedaCliente').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaCliente').val() );
		$('#valorOculto').val( $('#busquedaCliente').val() );
		$('#enter').attr('campoValor','busquedaCliente');
		$('#enter').attr('formulario','formularioBusquedaCliente');
			
	});
	
	$('#borrarBusquedaCliente').on("click",function(){
		
		$("#busquedaCliente").val('');
		$("#busquedaCliente").focus();
		
	});
	
	$('#formularioBusquedaCliente').on("submit",function(e){
				
		e.preventDefault();
		reinicia();
		
		if( $('#busquedaCliente').val()!='' ) {
				
			$('#popupCargando').show();
						
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-cliente.php?traza=<?php echo $_GET['traza']; ?>", { 'cadena' : $('#busquedaCliente').val() , 'busquedaProductoDefecto' : '<?php echo $busquedaProductoDefecto; ?>' })
			.done(function(data) {
				
				$('#popupCargando').hide();
				$('#popupBusquedaCliente').show();
				$('#detalleBusquedaCliente').html(data);
				
			});
				
		}
					
	});
	
	<?php } ?>

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
